com.google.gwt.dom.builder.shared

## Interface TableSectionBuilder

All Superinterfaces:
  ElementBuilderBase<TableSectionBuilder>

All Known Implementing Classes:
  DomTableSectionBuilder, HtmlOnlyTableSectionBuilder, HtmlTableSectionBuilder

    public interface TableSectionBuilder
    extends ElementBuilderBase<TableSectionBuilder>

Builds an tablesection element.

### Field Summary

Fields
`static java.lang.String` `UNSUPPORTED_HTML`

### Method Summary

All Methods Instance Methods Abstract Methods
`TableSectionBuilder` `align(java.lang.String align)` Horizontal alignment of data in cells.
`TableSectionBuilder` `ch(java.lang.String ch)` Alignment character for cells in a column.
`TableSectionBuilder` `chOff(java.lang.String chOff)` Offset of alignment character.
`TableSectionBuilder` `vAlign(java.lang.String vAlign)` Vertical alignment of data in cells.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Field Detail

#### UNSUPPORTED_HTML

    static final java.lang.String UNSUPPORTED_HTML

See Also:
  Constant Field Values

### Method Detail

#### align

    TableSectionBuilder align(java.lang.String align)

Horizontal alignment of data in cells. See the align attribute for HTMLTheadElement for details.

#### ch

    TableSectionBuilder ch(java.lang.String ch)

Alignment character for cells in a column.

See Also:
  W3C HTML Specification

#### chOff

    TableSectionBuilder chOff(java.lang.String chOff)

Offset of alignment character.

See Also:
  W3C HTML Specification

#### vAlign

    TableSectionBuilder vAlign(java.lang.String vAlign)

Vertical alignment of data in cells. See the valign attribute for HTMLTheadElement for details.